gi-vte-2.91.31: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Vte.Flags

Contents

- Flags
  - FeatureFlags
  - PtyFlags

Description

Synopsis

- data FeatureFlags
  - = FeatureFlagsFlagBidi
  - | FeatureFlagsFlagIcu
  - | FeatureFlagsFlagSystemd
  - | FeatureFlagsFlagSixel
  - | FeatureFlagsFlagsMask
  - | AnotherFeatureFlags Int
- data PtyFlags
  - = PtyFlagsNoLastlog
  - | PtyFlagsNoUtmp
  - | PtyFlagsNoWtmp
  - | PtyFlagsNoHelper
  - | PtyFlagsNoFallback
  - | PtyFlagsNoSession
  - | PtyFlagsNoCtty
  - | PtyFlagsDefault
  - | AnotherPtyFlags Int

# Flags

## FeatureFlags

data FeatureFlags Source #

An enumeration type for features.

Since: 0.62

Constructors

FeatureFlagsFlagBidi | whether VTE was built with bidirectional text support
FeatureFlagsFlagIcu | whether VTE was built with ICU support
FeatureFlagsFlagSystemd | whether VTE was built with systemd support
FeatureFlagsFlagSixel | whether VTE was built with SIXEL support
FeatureFlagsFlagsMask | mask of all feature flags
AnotherFeatureFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum FeatureFlags Source # |

Instance details

Defined in GI.Vte.Flags

Methods

succ :: FeatureFlags -> FeatureFlags Source #

pred :: FeatureFlags -> FeatureFlags Source #

toEnum :: Int -> FeatureFlags Source #

fromEnum :: FeatureFlags -> Int Source #

enumFrom :: FeatureFlags -> [FeatureFlags] Source #

enumFromThen :: FeatureFlags -> FeatureFlags -> [FeatureFlags] Source #

enumFromTo :: FeatureFlags -> FeatureFlags -> [FeatureFlags] Source #

enumFromThenTo :: FeatureFlags -> FeatureFlags -> FeatureFlags -> [FeatureFlags] Source #

Show FeatureFlags Source # |
Instance details Defined in GI.Vte.Flags Methods showsPrec :: Int -> FeatureFlags -> ShowS Source # show :: FeatureFlags -> String Source # showList :: [FeatureFlags] -> ShowS Source #
Eq FeatureFlags Source # |
Instance details Defined in GI.Vte.Flags Methods (==) :: FeatureFlags -> FeatureFlags -> Bool Source # (/=) :: FeatureFlags -> FeatureFlags -> Bool Source #
Ord FeatureFlags Source # |

Instance details

Defined in GI.Vte.Flags

Methods

compare :: FeatureFlags -> FeatureFlags -> Ordering Source #

(<) :: FeatureFlags -> FeatureFlags -> Bool Source #

(<=) :: FeatureFlags -> FeatureFlags -> Bool Source #

(>) :: FeatureFlags -> FeatureFlags -> Bool Source #

(>=) :: FeatureFlags -> FeatureFlags -> Bool Source #

max :: FeatureFlags -> FeatureFlags -> FeatureFlags Source #

min :: FeatureFlags -> FeatureFlags -> FeatureFlags Source #

IsGFlag FeatureFlags Source # |
Instance details Defined in GI.Vte.Flags

## PtyFlags

data PtyFlags Source #

No description available in the introspection data.

Constructors

PtyFlagsNoLastlog | Unused. Deprecated: 0.38
PtyFlagsNoUtmp | Unused. Deprecated: 0.38
PtyFlagsNoWtmp | Unused. Deprecated: 0.38
PtyFlagsNoHelper | Unused. Deprecated: 0.38
PtyFlagsNoFallback | Unused. Deprecated: 0.38
PtyFlagsNoSession | Do not start a new session for the child in `ptyChildSetup`. See man:setsid(2) for more information. Since: 0.58
PtyFlagsNoCtty | Do not set the PTY as the controlling TTY for the child in `ptyChildSetup`. See man:tty_ioctl(4) for more information. Since: 0.58
PtyFlagsDefault | the default flags
AnotherPtyFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum PtyFlags Source # |

Instance details

Defined in GI.Vte.Flags

Methods

succ :: PtyFlags -> PtyFlags Source #

pred :: PtyFlags -> PtyFlags Source #

toEnum :: Int -> PtyFlags Source #

fromEnum :: PtyFlags -> Int Source #

enumFrom :: PtyFlags -> [PtyFlags] Source #

enumFromThen :: PtyFlags -> PtyFlags -> [PtyFlags] Source #

enumFromTo :: PtyFlags -> PtyFlags -> [PtyFlags] Source #

enumFromThenTo :: PtyFlags -> PtyFlags -> PtyFlags -> [PtyFlags] Source #

Show PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods showsPrec :: Int -> PtyFlags -> ShowS Source # show :: PtyFlags -> String Source # showList :: [PtyFlags] -> ShowS Source #
Eq PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods (==) :: PtyFlags -> PtyFlags -> Bool Source # (/=) :: PtyFlags -> PtyFlags -> Bool Source #
Ord PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods compare :: PtyFlags -> PtyFlags -> Ordering Source # (<) :: PtyFlags -> PtyFlags -> Bool Source # (<=) :: PtyFlags -> PtyFlags -> Bool Source # (>) :: PtyFlags -> PtyFlags -> Bool Source # (>=) :: PtyFlags -> PtyFlags -> Bool Source # max :: PtyFlags -> PtyFlags -> PtyFlags Source # min :: PtyFlags -> PtyFlags -> PtyFlags Source #
BoxedFlags PtyFlags Source # |
Instance details Defined in GI.Vte.Flags
IsGFlag PtyFlags Source # |
Instance details Defined in GI.Vte.Flags
TypedObject PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods glibType :: IO GType Source #
HasParentTypes PtyFlags Source # |
Instance details Defined in GI.Vte.Flags
type ParentTypes PtyFlags Source # |
Instance details Defined in GI.Vte.Flags type ParentTypes PtyFlags = '[] :: [Type]